#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Data
%define		pnam	Page
%include	/usr/lib/rpm/macros.perl
Summary:	Data::Page - help when paging through sets of results
Summary(pl.UTF-8):	Data::Page - pomoc przy stronicowaniu zbiorów wyników
Name:		perl-Data-Page
Version:	2.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bd1fb9f7d69bf804132201c3e6a1c80a
URL:		http://search.cpan.org/dist/Data-Page/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-Accessor-Chained
BuildRequires:	perl-Test-Exception
%endif
Requires:	perl-Class-Accessor-Chained
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
When searching through large amounts of data, it is often the case
that a result set is returned that is larger than we want to display
on one page. This results in wanting to page through various pages of
data. The maths behind this is unfortunately fiddly, hence this
module.

The main concept is that you pass in the number of total entries, the
number of entries per page, and the current page number. You can then
call methods to find out how many pages of information there are, and
what number the first and last entries on the current page really are.

%description -l pl.UTF-8
Przy przeszukiwaniu dużych ilości danych zwykle zwracany zbiór wyników
jest większy niż chcielibyśmy wyświetlić na jednej stronie. Powoduje
to chęć podzielenia danych na strony. Obliczenia przy tym są niestety
nietrywialne i stąd ten moduł.

Główną ideą jest to, że przekazuje się liczbę wszystkich elementów,
liczbę elementów na stronie i aktualny numer strony. Można wtedy
wywoływać metody, aby określić liczbę stron z informacjami oraz numer
pierwszego i ostatniego elementu na aktualnej stronie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
        INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Data/Page.pm
%{_mandir}/man3/*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Data-Page.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 65024e9
- up to 2.03

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> d6dcd26
- use generic url

* Tue Jan 17 2012 zbyniu <zbyniu@pld-linux.org> 9b320dc
- up to 2.02

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 0318722
- updated to 2.01

* Sun Feb 17 2008 radek <radek@pld-linux.org> 462da0f
- R: perl-Class-Accessor-Chained (not autogenerated)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9eba8e5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bd50b6a
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 99104a5
- formatting

* Tue Nov 02 2004 Adam Gołębiowski <adamg@pld-linux.org> 38ba2c8
- updated to 2.00
- performing tests BR: perl-Class-Accessor-Chained and perl-Test-Exception

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> c19807c
- updated to 1.03

* Mon Jul 12 2004 Adam Gołębiowski <adamg@pld-linux.org> 856f3fb
- updated to 1.02

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 2ee9340
- license/description fixes

* Tue Apr 13 2004 Jakub Bogusz <qboosh@pld-linux.org> 81ba67e
- pl

* Tue Apr 13 2004 migo <migo@pld-linux.org> ba147b7
- initial revision

